"use strict";

function getIsReactActEnvironment() {
  return global.IS_REACT_ACT_ENVIRONMENT;
}

function setReactActEnvironment(isReactActEnvironment) {
  global.IS_REACT_ACT_ENVIRONMENT = isReactActEnvironment;
}

if (typeof beforeAll === "function" && typeof afterAll === "function") {
  var previousIsReactActEnvironment = getIsReactActEnvironment();

  beforeAll(function () {
    previousIsReactActEnvironment = getIsReactActEnvironment();
    setReactActEnvironment(true);
  });

  afterAll(function () {
    setReactActEnvironment(previousIsReactActEnvironment);
  });
}